Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoTypeNameParse

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoTypeNameParse,MonoTypeNameParse.ByValue,MonoTypeNameParse.ByReference>
              com.nativelibs4java.mono.MonoTypeNameParse

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoTypeNameParse,MonoTypeNameParse.ByValue,MonoTypeNameParse.ByReference>>

Direct Known Subclasses:
  MonoTypeNameParse.ByReference, MonoTypeNameParse.ByValue

    public class MonoTypeNameParse

extends Structure<MonoTypeNameParse,MonoTypeNameParse.ByValue,MonoTypeNameParse.ByReference>

native declaration : mono\metadata\reflection.h:9
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoTypeNameParse.ByReference`
`static class` | `MonoTypeNameParse.ByValue`

Field Summary
`MonoAssemblyName` | `assembly`
`MonoLibrary.GList` | `modifiers`
`ByteByReference` | `name`
`ByteByReference` | `name_space`
`MonoLibrary.GList` | `nested`
`MonoLibrary.GPtrArray` | `type_arguments`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoTypeNameParse()`
`MonoTypeNameParse(ByteByReference name_space, ByteByReference name, MonoAssemblyName assembly, MonoLibrary.GList modifiers, MonoLibrary.GPtrArray type_arguments, MonoLibrary.GList nested)`

Method Summary
`protected MonoTypeNameParse.ByReference` | `newByReference()`
`protected MonoTypeNameParse.ByValue` | `newByValue()`
`protected MonoTypeNameParse` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### name_space

    public ByteByReference name_space

### name

    public ByteByReference name

### assembly

    public MonoAssemblyName assembly

### modifiers

    public MonoLibrary.GList modifiers

### type_arguments

    public MonoLibrary.GPtrArray type_arguments

### nested

    public MonoLibrary.GList nested

Constructor Detail

### MonoTypeNameParse

    public MonoTypeNameParse()

### MonoTypeNameParse

    public MonoTypeNameParse(ByteByReference name_space,
                             ByteByReference name,
                             MonoAssemblyName assembly,
                             MonoLibrary.GList modifiers,
                             MonoLibrary.GPtrArray type_arguments,
                             MonoLibrary.GList nested)

Method Detail

### newByReference

    protected MonoTypeNameParse.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoTypeNameParse,MonoTypeNameParse.ByValue,MonoTypeNameParse.ByReference>`

### newByValue

    protected MonoTypeNameParse.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoTypeNameParse,MonoTypeNameParse.ByValue,MonoTypeNameParse.ByReference>`

### newInstance

    protected MonoTypeNameParse newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoTypeNameParse,MonoTypeNameParse.ByValue,MonoTypeNameParse.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD